Bug 17691 - agpgart module causes Unable to handle kernel paging request
agpgart module causes Unable to handle kernel paging request
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
alpha Linux
medium Severity medium
: ---
: ---
Assigned To: Michael K. Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-09-19 11:50 EDT by Richard D. Payne
Modified: 2007-04-18 12:28 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-05 16:23:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard D. Payne 2000-09-19 11:50:23 EDT
On loading the agpgart module, this is recorded in the logs:

Linux agpgart interface v0.99 (c) Jeff Hartmann
agpgart: Maximum main memory to use for agp memory: 440M
agpgart: Detected AMD Irongate chipset
Unable to handle kernel paging request at virtual address 0000000062000004
modprobe(153): Oops 1
pc = [<fffffe0000820fa8>]  ra = [<fffffe0000820f7c>]  ps = 0000
v0 = 0000000000000000  t0 = 0000000062000000  t1 = 0000000062000000
t2 = 000000001ebe4000  t3 = fffffc0000ade000  t4 = fffffe0000830000
t5 = fffffe0000830000  t6 = fffffffe00000000  t7 = fffffc001ecfc000
s0 = fffffe0000824f48  s1 = fffffe0000825060  s2 = fffffe0000824a68
s3 = 0000000000000001  s4 = 0000000000000001  s5 = fffffe0000824f48
s6 = fffffc001ecfff00  a0 = fffffd01fe000014  a1 = 00000000000000b0
a2 = 0000000000000080  a3 = fffffc00005b4dc0  a4 = fffffc001ecffd70
a5 = fffffc001ecffd68  t8 = 0000000000000001  t9 = fffffc0000597de0
t10= 0000000000000000  t11= fffffc0000597dd8  pv = fffffc000031d3a0
at = fffffe0000830000  gp = fffffe000082d0a8  sp = fffffc001ecffd98
Code:
 47f01412  or zero,128,a2
 4441f102  andnot t1,15,t1
 44420401  or t1,t1,t0
 b05e0020  stl t1,32(sp)
 4821f621  zapnot t0,15,t0
 b42a0000  stq t0,0(s1)
*b0610004  stl t2,4(t0)
 a6090028  ldq a0,40(s0)
Trace: 331ab4 33b67c 310cf8 450140 

Modules stays loaded in 'initializing state', can not be removed.
Comment 1 Richard D. Payne 2000-10-17 09:57:00 EDT
Still present in RC1.
Comment 2 Phil Copeland 2001-06-04 12:52:39 EDT
What machine, RH release if any and kernel?

Comment 3 Richard D. Payne 2001-06-04 12:57:15 EDT
I think this was originally filed against a 7.0beta version. I can retest with
7.1RC1 if you'd like.
Comment 4 Phil Copeland 2001-06-24 13:45:24 EDT
(going through cleaning up/tidying up old bugs)

Is this still true of the Gold ISO images?
I'm making an assumption here that you're using a Nautilus box with an AGP card
of some sort as thats the only alpha I'm aware of that has an AGP slot on it

Phil
=--=

Note You need to log in before you can comment on or make changes to this bug.